%def_disable static
%define rname nss-mdns


Name: nss-mdns
Version: 0.9
Release: alt1

Group: System/Libraries
Summary: nss-mdns provides host name resolution via Multicast DNS
Url: http://www.avahi.org/
License: GPL


Source0: %rname-%version.tar.gz
# Automatically added by buildreq on Tue Jan 30 2007
BuildRequires: gcc-c++

BuildRequires: libavahi-devel

%package -n lib%name
Group: System/Libraries
Summary: nss-mdns provides host name resolution via Multicast DNS
Requires: avahi

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality
of the GNU C Library (glibc) providing host name resolution via
Multicast DNS (aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour),
effectively allowing name resolution by common Unix/Linux programs in
the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to run
a mDNS responder daemon seperately from nss-mdns if you want to register
the local host name via mDNS.

It is necessary to change "hosts" in /etc/nsswitch.conf to
hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4

%description -n lib%name
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality
of the GNU C Library (glibc) providing host name resolution via
Multicast DNS (aka Zeroconf, aka Apple Rendezvous, aka Apple Bonjour),
effectively allowing name resolution by common Unix/Linux programs in
the ad-hoc mDNS domain .local.

nss-mdns provides client functionality only, which means that you have to run
a mDNS responder daemon seperately from nss-mdns if you want to register
the local host name via mDNS.

It is necessary to change "hosts" in /etc/nsswitch.conf to
hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4

%prep
%setup -q -n %rname-%version
autoreconf -fisv

%build
%configure \
    --enable-avahi \
    --disable-lynx \
%if_enabled static
    --enable-static \
%else
    --disable-static \
%endif
    --enable-shared

%make_build

%install
%make install DESTDIR=%buildroot

mkdir %buildroot/%_lib
pushd %buildroot/%_libdir
for f in libnss_*.so.*
do
    mv $f %buildroot/%_lib/
    libname=`echo $f| sed "s|\(libnss_.*\.so\)\..*|\1|"`
    ln -s ../../%_lib/$f %buildroot/%_libdir/$libname
done
popd

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%postun_ldconfig


%files -n lib%name
%doc README doc/README.html doc/style.css
/%_lib/libnss_*.so.*

#%files -n lib%name-devel
#%_libdir/libnss_*.so

#%if_enabled static
#%files -n lib%name-devel-static
#/%_lib/*.a
#%endif

%changelog
* Tue Jan 30 2007 Sergey V Turchin <zerg at altlinux dot org> 0.9-alt1
- initial specfile
